# FinishEvent

interface FinishEvent : ProgressEvent

An event that informs about an operation having finished its execution.

#### Since

2.4

#### Inheritors

WorkItemFinishEvent
TaskFinishEvent
ProjectConfigurationFinishEvent
TransformFinishEvent
TestFinishEvent
BuildPhaseFinishEvent
FileDownloadFinishEvent

## Functions

getDescriptor
Link copied to clipboard
abstract fun getDescriptor(): OperationDescriptor
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getEventTime
Link copied to clipboard
abstract fun getEventTime(): Long
getResult
Link copied to clipboard
abstract fun getResult(): OperationResult
Returns the result of the finished operation.